---
title: "POST /blueprintactions/connect/oauth - Blueprint Actions · RUAL Documentation"
description: "Connect OAuth provider to blueprint action"
canonical: https://docs.rual.nl/cluster/api/blueprint-actions/blueprintactions-connect-oauth-post
language: en
---

# POST /blueprintactions/connect/oauth

Connect OAuth provider to blueprint action

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **code** optional | `string` | `"INVALID_TYPE"` |  |
| **guid** optional | `string` | 'a23575f49d0af385314c1f02280163374297e018a692e5e...' |  |
| **type** optional | `string` | `"totp"` |  |

```
{
  "accepted": true
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_update` | Required scope: blueprintactions_update |
